Download it now!
Bug 117899 - changes parameters of conditional formatting "Formula is" if copy range from Calc and paste it to Writer as OLE
Summary: changes parameters of conditional formatting "Formula is" if copy range from ...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
5.3.7.2 release
Hardware: All All
: medium normal
Assignee: Eike Rathke
URL:
Whiteboard: target:6.4.0 target:6.3.0.1 target:6.2.6
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Conditional-Formatting
  Show dependency treegraph
 
Reported: 2018-05-30 13:04 UTC by Roman Kuznetsov
Modified: 2019-06-27 08:04 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
Example of CF with formula (Calc) (16.11 KB, application/vnd.oasis.opendocument.spreadsheet)
2018-05-30 13:05 UTC, Roman Kuznetsov
Details
example of result (Writer) (22.48 KB, application/vnd.oasis.opendocument.text)
2018-05-30 13:06 UTC, Roman Kuznetsov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Roman Kuznetsov 2018-05-30 13:04:37 UTC
Description:
changes parameters of conditional formatting "Formula is" if copy range from Calc and paste it to Writer as OLE

changes link to cell into field with formula

Steps to Reproduce:
1. create conditional formatting for range A3:E11 with Condition 1: Formula is - $E3="нет"
2. select range A2:E7 and copy it
3. open Writer document
4. paste (just use icon Paste or Ctrl+V) range in to document (it will be paste as OLE) -> color in range applies don't right
5. double click on pasted OLE object -> enter to edit mode
6. check condition -> it has become Condition 1: Formula is - $E5="нет" (there was 3 in Calc)

Actual Results:  
changes parameters of conditional formatting "Formula is" if copy range from Calc and paste it to Writer as OLE

Expected Results:
parameters of conditional formatting "Formula is" if copy range from Calc and paste it to Writer as OLE remain unchanged


Reproducible: Always


User Profile Reset: No



Additional Info:


User-Agent: Mozilla/5.0 (Windows NT 6.1) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/66.0.3359.181 Safari/537.36
Comment 1 Roman Kuznetsov 2018-05-30 13:05:29 UTC
Created attachment 142405 [details]
Example of CF with formula (Calc)
Comment 2 Roman Kuznetsov 2018-05-30 13:06:04 UTC
Created attachment 142406 [details]
example of result (Writer)
Comment 3 Buovjaga 2018-06-21 12:04:06 UTC
(In reply to kompilainenn from comment #0)
> 6. check condition -> it has become Condition 1: Formula is - $E5="нет"
> (there was 3 in Calc)

For me, editing the condition shows only the default (empty)

Arch Linux 64-bit
Version: 6.2.0.0.alpha0+
Build ID: 0929a98acca8ec4d86caa97d3090a39f89f35f90
CPU threads: 8; OS: Linux 4.17; UI render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group threaded
Built on June 20th 2018
Comment 4 QA Administrators 2019-06-22 02:50:05 UTC Comment hidden (obsolete)
Comment 5 Roman Kuznetsov 2019-06-23 21:07:19 UTC
still repro in

Version: 6.4.0.0.alpha0+ (x64)
Build ID: c0d1bdbb8a9aca2ef2e475268a953da995567700
CPU threads: 4; OS: Windows 10.0; UI render: default; VCL: win; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2019-06-22_23:10:51
Locale: ru-RU (ru_RU); UI-Language: en-US
Calc: threaded
Comment 6 Roman Kuznetsov 2019-06-23 21:10:58 UTC
it repro in 5.3.7 but not in 5.2.7 -> regression
Comment 7 Roman Kuznetsov 2019-06-24 18:17:01 UTC
I bisected it

$ git bisect bad
3734574fb33840ef0d831c9b2d467fba4edaab2f is the first bad commit
commit 3734574fb33840ef0d831c9b2d467fba4edaab2f
Author: Norbert Thiebaud <nthiebaud@gmail.com>
Date:   Thu Mar 16 16:20:50 2017 -0700

    source sha:ea8a1bda453ed63d9b26b01f29b0701828dde77c


https://cgit.freedesktop.org/libreoffice/core/commit/?id=ea8a1bda453ed63d9b26b01f29b0701828dde77c

Added: to CC Caolan McNamara

Caolan, can you look at this?
Comment 8 Caolán McNamara 2019-06-25 09:30:32 UTC
I suspect you bisected to a band of commits and picked my one off the top of the band, my bisect shows its between 4f786274be8f9b01b34ad0772bcf718d5259bdc0..1bffa5e110772a7d6183ac64e56c23f2c3019f93 which includes a batch of calc conditional formatting commits which would seem more likely related to this
Comment 9 Caolán McNamara 2019-06-25 09:51:05 UTC
the problem began with commit...

commit 3f0f35c89f3f64fcb110483fd562a59f729dc344
Date:   Thu Mar 16 20:08:30 2017 +0100

    the range should be updated after the references, tdf#104026
    
    Change-Id: I2cb674b8b3bc64df031b473b337d266a2eaab43d
    Reviewed-on: https://gerrit.libreoffice.org/35289
    Tested-by: Jenkins <ci@libreoffice.org>
    Reviewed-by: Markus Mohrhard <markus.mohrhard@googlemail.com>
Comment 10 Eike Rathke 2019-06-26 11:51:40 UTC
Investigating.
Comment 11 Commit Notification 2019-06-26 21:24:50 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/50cd4c73eba1ae2802a4897410bd3f75516d0dcb%5E%21

Resolves: tdf#117899 update condition entries' source position on inter-copy

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 12 Eike Rathke 2019-06-26 21:43:26 UTC
Pending
https://gerrit.libreoffice.org/74764 for 6-3
https://gerrit.libreoffice.org/74766 for 6-2
Comment 13 Commit Notification 2019-06-26 23:40:14 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/+/7b0f65cbfa3ef0b3cb698247429f445574ba3a64%5E%21

Resolves: tdf#117899 update condition entries' source position on inter-copy

It will be available in 6.3.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 14 Commit Notification 2019-06-27 08:04:34 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/364effd7143c31a6c0c49d08c81a08293a94667d%5E%21

Resolves: tdf#117899 update condition entries' source position on inter-copy

It will be available in 6.2.6.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.